"use strict";
/**
 * Takes a number, min, and max
 * If number is between min and max, returns number
 * Otherwise returns min or max
 * @example
 * clamp(100, 0, 1000) // => 100
 * clamp(100, 101, 1000) // => 101
 * clamp(100, 0, 99) // => 00
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.clamp = void 0;
const clamp = (val, min, max) => val < min ? min : val > max ? max : val;
exports.clamp = clamp;
