"use strict";
/**
 * Combines regular expressions
 * @example
 * combineRegex([/[a-z]/, /[0-9]], 'g') ==> /[a-z][0-9]/g
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.combineRegex = void 0;
const combineRegex = (rs, opts = '') => new RegExp(rs.map((r) => r.source).join(''), opts);
exports.combineRegex = combineRegex;
