/// <reference types="node" />
type Timer = NodeJS.Timeout | number | null;
type R = (...args: any[]) => Timer;
/**
 * Simple debounce
 * @example
 * debounce(() => console.log('hi'), 5000)
 */
export declare const debounce: (fn: (...args: any) => any, ms: number) => R;
export {};
