import { type AnyMap } from './types';
/**
 * `filter` for array and object
 * @example
 * filter(id, [ 1, 2 ]) // => [ 1, 2 ]
 * filter(lessThanThree, [ 1, 2, 3, 4 ]) // => [ 1, 2 ]
 * filter(lessThanThree, { a: 1, b: 4 }) // =>  { a: 1 }
 */
export declare const filter: <T>(fn: (x: T, y: string | number) => boolean, list: T[] | string | AnyMap) => Record<string, T> | T[];
