"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flattenAndUniq = void 0;
const uniq_1 = require("./uniq");
/**
 * Recursively flatten arrays
 * then uniq what's left
 * @example
 * flattenAndUniq([ 1, 2, 3, [ 1, 2, 3 ]]) // =>  [ 1, 2, 3 ]
 */
const flattenAndUniq = (arr) => (0, uniq_1.uniq)(arr.flat(Infinity));
exports.flattenAndUniq = flattenAndUniq;
