"use strict";
/**
 * Applies f to first two items of list,
 * then to next, etc.
 * @example
 * foldl1(increment, [ 1, 1, 1 ]) // => 3
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.fold = void 0;
const fold = (f, a) => {
    let s = a[0];
    for (let i = 1; i < a.length; i++) {
        s = f(s, a[i]);
    }
    return s;
};
exports.fold = fold;
