"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMemoryUsage = void 0;
const node_os_1 = require("node:os");
/**
 * Get memory usage
 * @example
 * getMemoryUsage()
 */
const getMemoryUsage = () => parseFloat(((0, node_os_1.freemem)() / (0, node_os_1.totalmem)() / Math.pow(10, -2)).toFixed(2));
exports.getMemoryUsage = getMemoryUsage;
