"use strict";
/**
 * Adds ordinal onto integer
 *
 * Works up to 999
 * @example
 * getOrdinal(1) // => '1st'
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOrdinal = void 0;
const getOrdinal = (n) => {
    const s = ['th', 'st', 'nd', 'rd'];
    const v = n % 100;
    return n + (s[(v - 20) % 10] || s[v] || s[0]);
};
exports.getOrdinal = getOrdinal;
