"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.has = void 0;
/**
 * See if an object has a property
 * @example
 * has('a' { b: 'c' }) // => false
 */
const has = (p, o) => Object.prototype.hasOwnProperty.call(o, p);
exports.has = has;
