"use strict";
/**
 * Get the intersection of two arrays
 * @example
 * intersection([ 1, 2 ], []) // => []
 * intersection([ 1, 2, 3 ], [1, 2]) // => [ 1, 2 ]
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.intersection = void 0;
const intersection = (xs, ys) => [...new Set(xs.filter((el) => ys.includes(el)))];
exports.intersection = intersection;
