"use strict";
/**
 * Returns true if the passed node_module name is installed
 * @example
 * isInstalled('zeelib') // => true
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isInstalled = void 0;
const isInstalled = (pkgName) => {
    try {
        require.resolve(pkgName);
        return true;
    }
    catch {
        return false;
    }
};
exports.isInstalled = isInstalled;
