"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_test_1 = require("node:test");
const assert = __importStar(require("node:assert"));
const is_semver_1 = require("./is-semver");
void (0, node_test_1.test)('isSemver', () => {
    assert.ok((0, is_semver_1.isSemver)('0.0.1'), 'regular');
    assert.ok((0, is_semver_1.isSemver)('1.0.1-beta'), 'with beta');
    assert.ok((0, is_semver_1.isSemver)('1.0.1-beta.2'), 'with beta and beta version');
    assert.ok(!(0, is_semver_1.isSemver)('stable'), 'random string');
    assert.ok(!(0, is_semver_1.isSemver)('truncated version'), 'random string');
});
