"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.keep = void 0;
const filter_1 = require("./filter");
/**
 * Returns an array or object with all falsey values removed
 * @example
 * keep([ 'a', null, '', 2]) // => [ 'a', 2 ]
 * keep({ a: '', b: null, c: 2 }) // => { c: 2 }
 */
const keep = (x) => (0, filter_1.filter)((y) => !!y, x);
exports.keep = keep;
