"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_test_1 = require("node:test");
const assert = __importStar(require("node:assert"));
const len_1 = require("./len");
const sum_1 = require("./sum");
void (0, node_test_1.test)('length', () => {
    const noop = () => { };
    const addTwo = (a, b) => (0, sum_1.sum)([a, b]);
    const addFour = (a, b, c, d) => (0, sum_1.sum)([a, b, c, d]);
    assert.equal((0, len_1.len)('foo'), 3, 'works for strings');
    assert.equal((0, len_1.len)([1, 2]), 2, 'works for arrays');
    assert.equal((0, len_1.len)(new Set([1, 2, 3])), 3, 'works for sets');
    assert.equal((0, len_1.len)(new Map([[1, 2]])), 1, 'works for maps');
    assert.equal((0, len_1.len)({ a: 'a' }), 1, 'works for objects');
    assert.equal((0, len_1.len)(noop), 0, 'works for fn with 0 args');
    assert.equal((0, len_1.len)(addTwo), 2, 'works for fn with 2 args');
    assert.equal((0, len_1.len)(addFour), 4, 'works for fn with 4 args');
    assert.equal((0, len_1.len)(3), 3, 'works for numbers');
});
