import { type AnyMap } from './types';
/**
 * `pick`
 * as it is in rambda (not ramda)
 * @example
 * pick('a', { a: 'a', b: 'b' }) // => { a: 'a' }
 * pick([ 'a', 'b' ], { a: 'a', b: 'b', c: 'c' }) // => { a: 'a', b: 'b' }
 */
export declare const pick: (ks: string | string[], o: AnyMap) => AnyMap;
