"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pick = void 0;
/**
 * `pick`
 * as it is in rambda (not ramda)
 * @example
 * pick('a', { a: 'a', b: 'b' }) // => { a: 'a' }
 * pick([ 'a', 'b' ], { a: 'a', b: 'b', c: 'c' }) // => { a: 'a', b: 'b' }
 */
const pick = (ks, o) => {
    const r = {};
    let c = 0;
    while (c < ks.length) {
        if (ks[c] in o) {
            r[ks[c]] = o[ks[c]];
        }
        c++;
    }
    return r;
};
exports.pick = pick;
