/**
 * Create a simple prompt for the terminal
 *
 * @example
 * const answer = await prompt('Do the thing')
 * if (answer.toLowercase() === 'y') { doTheThing() }
 */
export declare const prompt: (question: string) => Promise<string>;
