"use strict";
/**
 * Convert rgb to hex
 * @example
 * rgbToHex(255, 255, 255) // => '#ffffff'
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.rgbToHex = void 0;
const rgbToHex = (r, g, b) => '#' + ((1 << 24) + (r << 16) + (g << 8) + b).toString(16).slice(1);
exports.rgbToHex = rgbToHex;
