"use strict";
/**
 * Remove ANSI escapes from string
 * @example
 * stripAnsi(colorize.blue('hello')) // => 'hello'
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.stripAnsi = void 0;
const stripAnsi = (s = '') => 
// eslint-disable-next-line no-control-regex
s.replace(/[\u001b\u009b][[()#;?]*(?:[0-9]{1,4}(?:;[0-9]{0,4})*)?[0-9A-ORZcf-nqry=><]/g, '');
exports.stripAnsi = stripAnsi;
