/**
 * Returns elements that pass predicate,
 * until failure (ignores matches after failure)
 * @example
 * takeWhile((x) => x < 3, [ 1, 2, 3, 4 ]) // => [ 1, 2 ]
 */
export declare const takeWhile: <A>(pred: (a: A, n: number) => boolean, arr: A[]) => A[];
