"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.union = void 0;
const uniq_1 = require("./uniq");
/**
 * Get the union of any amount of arrays
 * @example
 * union([ 1, 2, 3 ], [ 2, 3, 4 ]) // => [ 1, 2, 3, 4 ]
 */
const union = (...xs) => (0, uniq_1.uniq)([].concat.apply([], xs));
exports.union = union;
