"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.uniqBy = void 0;
/**
 * Unique an array by a string key of objects in array
 * Returns only the values of the passed key
 * @example
 * const a = [ { foo: 'foo' }, { foo: 'bar' }, { foo: 'foo' } ]
 * uniqBy('foo', a) // => [ { foo: 'foo' }, { foo: 'bar' } ]
 */
const uniqBy = (el, xs) => xs.filter((e, i) => xs.findIndex((a) => a[el] === e[el]) === i);
exports.uniqBy = uniqBy;
