"use strict";
/**
 * Splits an array into chunks
 * @example
 * chunk([1, 2, 3, 4 ], 2) // => [ [ 1, 2 ], [ 3, 4 ] ]
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.chunk = void 0;
const chunk = (arr, n) => {
    if ((arr.length === 0) || !n)
        return [];
    return [arr.slice(0, n)].concat((0, exports.chunk)(arr.slice(n), n));
};
exports.chunk = chunk;
