"use strict";
/**
 * Find out how many of a given element is in
 * an array or string.
 * @example
 * countIn('a', 'abc') // => 1
 * countIn('a', [ 'a', 'b', 'c' ]) // => 1
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.countIn = void 0;
const countIn = (el, ls) => {
    const l = Array.isArray(ls) ? ls : ls.split('');
    return l.filter((a) => a === el).length;
};
exports.countIn = countIn;
