"use strict";
/**
 * Diff two arrays
 * @example
 * diff([ 1, 2, 3 ], [ 2, 3 ]) // => [ 1 ]
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.diff = void 0;
const diff = (a, b) => {
    const arr = [];
    let len = a.length;
    while (len--) {
        if (!b.includes(a[len])) {
            arr.unshift(a[len]);
        }
    }
    return arr;
};
exports.diff = diff;
