"use strict";
/**
 * Like Haskell's `drop`
 * @example
 * drop(2, [ 1, 2, 3 ]) // => 3
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.drop = void 0;
const drop = (n, arr) => {
    const alen = arr.length;
    if (n < 1)
        return arr;
    if (n > alen)
        return [];
    const res = [];
    for (let i = n; i < alen; i++) {
        res.push(arr[i]);
    }
    return res;
};
exports.drop = drop;
