/**
 * Takes an array or object
 * and a function, and runs the function
 * on each element
 * @example
 * each([ 'a', 'b', 'c' ], id) // => 'a'
 */
export declare const each: <T>(xs: (any[] | Record<string, any> | string), fn: ((a: any | null | undefined, b: number | string) => T)) => Record<string, any> | T[];
