"use strict";
/**
 * @example
 * escapeForRegex('foo') // => foo
 * escapeForRegex('1 \\ {} []|') // => '1 \\\\ \\{\\} \\[\\]\\|'
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.escapeForRegex = void 0;
const escapeForRegex = (s = '') => 
// eslint-disable-next-line no-useless-escape
s.replace(/([\\\.\+\*\?\[\^\]\$\(\)\{\}\=\!\<\>\|\:])/g, '\\$1');
exports.escapeForRegex = escapeForRegex;
