"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.execute = void 0;
const node_child_process_1 = require("node:child_process");
const node_path_1 = require("node:path");
const SEPARATOR = process.platform === 'win32' ? ';' : ':';
const env = Object.assign({}, process.env);
env.PATH = (0, node_path_1.resolve)('./node_modules/.bin') + SEPARATOR + env.PATH;
/**
 * Like a standalone `npm run` that obeys `npm bin`
 * @example
 * execute('standard-format -w')
 */
const execute = (cmd) => {
    (0, node_child_process_1.execSync)(cmd, {
        cwd: process.cwd(),
        env,
    });
};
exports.execute = execute;
