"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_test_1 = require("node:test");
const assert = __importStar(require("node:assert"));
const filter_1 = require("./filter");
void (0, node_test_1.test)('filter', () => {
    const ar = ['a', 'b'];
    const lessThanThree = (a) => a < 3;
    assert.deepEqual((0, filter_1.filter)((y) => !!y, ar), ar, 'returns arr also passed when passed id fn');
    assert.deepEqual((0, filter_1.filter)(lessThanThree, [1, 2, 3, 4]), [1, 2], 'works with predicate');
    assert.deepEqual((0, filter_1.filter)(lessThanThree, { a: 1, b: 4 }), { a: 1 }, 'works with predicate with object');
});
