"use strict";
/**
 * Flips order of received arguments and calls f.
 * @example
 * const minus = (a, b) => a - b
 * minus(2, 1) // => 1
 * flip(minus)(2, 1) // => -1
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.flip = void 0;
const flip = (f) => (...args) => f.apply(this, args.reverse());
exports.flip = flip;
