"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFreeMemory = void 0;
const node_os_1 = require("node:os");
/**
 * Get free memory
 * @example
 * getFreeMemory()
 */
const getFreeMemory = () => parseFloat(((0, node_os_1.freemem)() / 1024 / 1024).toFixed(2));
exports.getFreeMemory = getFreeMemory;
