"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getKeyByValue = void 0;
/**
 * Get the key for a value
 * @example
 * getKeyByValue('bar', { foo: 'bar' }) // => 'foo'
 */
const getKeyByValue = (value, object) => Object.keys(object).find((key) => object[key] === value);
exports.getKeyByValue = getKeyByValue;
