"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLoadAverage = void 0;
const node_os_1 = require("node:os");
const average_1 = require("./average");
/**
 * Get load average
 * @example
 * getLoadAverage()
 */
const getLoadAverage = () => parseFloat((0, average_1.average)((0, node_os_1.loadavg)()).toFixed(2));
exports.getLoadAverage = getLoadAverage;
