"use strict";
/**
 * Get stdin and do something with it.
 * @example
 * getStdin((str) => {
 *   console.log(str.split(''))
 * })
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStdin = void 0;
const getStdin = (f) => {
    let b = '';
    process.stdin.setEncoding('utf8');
    process.stdin.on('data', (s) => {
        b += s.toString();
    });
    process.stdin
        .on('end', () => {
        f(b);
    })
        .resume();
};
exports.getStdin = getStdin;
