"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTerminalSize = void 0;
/**
 * Returns size of the current terminal
 * @example
 * getTerminalSize() // => { columns: number, rows: number }
 */
const getTerminalSize = () => ({
    columns: process.stdout.columns,
    rows: process.stdout.rows,
});
exports.getTerminalSize = getTerminalSize;
