"use strict";
/**
 * Trims a string to just caps
 * @example
 * initials('Zac Anger') // => 'ZA'
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.initials = void 0;
const initials = (str) => {
    const a = str.match(/\b([A-Z])/g);
    return a ? a.join('') : str;
};
exports.initials = initials;
