"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDate = void 0;
const object_to_string_1 = require("./object-to-string");
/**
 * Returns true if the value is a date
 * @example
 * isDate(new Date()) // => true
 */
const isDate = (v) => (0, object_to_string_1.objectToString)(v) === '[object Date]';
exports.isDate = isDate;
