"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isError = void 0;
const object_to_string_1 = require("./object-to-string");
/**
 * Returns true if value is an error
 * @example
 * isError(new Error()) // => true
 */
const isError = (a) => a instanceof Error || (0, object_to_string_1.objectToString)(a) === '[object Error]';
exports.isError = isError;
