"use strict";
/**
 * Returns true if val is a generator function
 * @example
 * isGeneratorFunction(2) // => false
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isGeneratorFunction = void 0;
const isGeneratorFunction = (v) => {
    if (v?.constructor?.name) {
        return v.constructor.name === 'GeneratorFunction';
    }
    return false;
};
exports.isGeneratorFunction = isGeneratorFunction;
