"use strict";
/**
 * Returns true if passed val is a generator
 * @example
 * isGenerator(2) // => false
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isGenerator = void 0;
const isGenerator = (v) => {
    if (v && typeof v.next === 'function' && typeof v.throw === 'function') {
        return true;
    }
    return false;
};
exports.isGenerator = isGenerator;
