"use strict";
/**
 * Returns true if the value is an integer
 * @example
 * isInteger(2) // => true
 * isInteger(1.1) // => false
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isInteger = void 0;
const isInteger = (v) => typeof v === 'number' && !Number.isNaN(v) && v % 1 === 0;
exports.isInteger = isInteger;
