"use strict";
/**
 * Returns true if the string is valid JSON
 * @example
 * isJson(JSON.stringify({ a: 'b' })) // => true
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isJson = void 0;
const isJson = (str) => {
    try {
        JSON.parse(str);
        return true;
    }
    catch {
        return false;
    }
};
exports.isJson = isJson;
