"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isMap = void 0;
const object_to_string_1 = require("./object-to-string");
/**
 * Returns true if value is a map
 * @example
 * isMap(new Map()) // => true
 */
const isMap = (v) => (0, object_to_string_1.objectToString)(v) === '[object Map]';
exports.isMap = isMap;
