"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNullOrUndefined = void 0;
const is_null_1 = require("./is-null");
const is_undefined_1 = require("./is-undefined");
/**
 * Returns true if the value is null or undefined
 * @example
 * isNullOrUndefined(null) // => true
 */
const isNullOrUndefined = (v) => (0, is_null_1.isNull)(v) || (0, is_undefined_1.isUndefined)(v);
exports.isNullOrUndefined = isNullOrUndefined;
