"use strict";
/**
 * Returns true if the value is a number and is not NaN
 * @example
 * isNumber(2) // => true
 * isNumber(NaN) // => false
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNumber = void 0;
const isNumber = (v) => typeof v === 'number' && !Number.isNaN(v);
exports.isNumber = isNumber;
