"use strict";
/**
 * Returns true if the value is an object
 * @example
 * isObject('asdf') // => false
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isObject = void 0;
const isObject = (v) => v !== null &&
    typeof v === 'object' &&
    Object.getPrototypeOf(v) === Object.prototype;
exports.isObject = isObject;
