"use strict";
/**
 * Returns true if value is a primitive
 * @example
 * isPrimitive(1) // => true
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isPrimitive = void 0;
const isPrimitive = (v) => {
    if (v === null)
        return true;
    const t = typeof v;
    return t !== 'object' && t !== 'function';
};
exports.isPrimitive = isPrimitive;
