"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRegExp = void 0;
const object_to_string_1 = require("./object-to-string");
/**
 * Returns true if value is a RegExp
 * @example
 * isRegExp(/a/) // => true
 */
const isRegExp = (v) => (0, object_to_string_1.objectToString)(v) === '[object RegExp]';
exports.isRegExp = isRegExp;
