"use strict";
/**
 * Check if current process is running as root.
 * @example
 * isRoot() // => true
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRoot = void 0;
const isRoot = () => process.env.USER === 'root' || !!(process.getuid && process.getuid() === 0);
exports.isRoot = isRoot;
