"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSet = void 0;
const object_to_string_1 = require("./object-to-string");
/**
 * Returns true if value is a set
 * @example
 * isSet(new Set()) // => true
 */
const isSet = (v) => (0, object_to_string_1.objectToString)(v) === '[object Set]';
exports.isSet = isSet;
