"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidDate = void 0;
const is_date_1 = require("./is-date");
/**
 * Returns true if the passed object is a valid Date
 * @example
 * isValidDate('1234') // => false
 */
const isValidDate = (d) => (0, is_date_1.isDate)(d) && d.toString() !== 'Invalid Date';
exports.isValidDate = isValidDate;
