"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readJson = void 0;
const promises_1 = require("node:fs/promises");
/**
 * Read json file and parse it
 * @example
 * const json = await readJson('./foo.json')
 */
const readJson = async (file) => {
    const data = await (0, promises_1.readFile)(file, 'utf8');
    return JSON.parse(data);
};
exports.readJson = readJson;
