"use strict";
/**
 * Randomly shuffle items in array
 * @example
 * shuffle([ 1, 2, 3, 4 ])
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.shuffle = void 0;
const shuffle = (arr) => {
    for (let i = arr.length - 1; i >= 0; i--) {
        const j = Math.floor(Math.random() * (i + 1));
        const temp = arr[i];
        arr[i] = arr[j];
        arr[j] = temp;
    }
    return arr;
};
exports.shuffle = shuffle;
