"use strict";
/**
 * Simple sleep.
 * @example
 * const delay = await sleep(1000)
 * sleep(1000).then(doAThing)
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.sleep = void 0;
const sleep = async (ms) => await new Promise((resolve) => {
    setTimeout(resolve, ms);
});
exports.sleep = sleep;
