"use strict";
/**
 * Truncate a string
 * @example
 * truncate('asdf asdf asdf asdf', 4) // => 'asd…'
 * truncate('asdf asdf asdf asdf', 8, ' etc.') // => 'asd etc.'
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.truncate = void 0;
const truncate = (str, limit, tail = '…') => str.length > limit
    ? `${str.substr(0, limit - tail.length)}${tail}`
    : str;
exports.truncate = truncate;
