"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tryJson = void 0;
/**
 * Tries to parse JSON, if is JSON
 * @example
 * tryJson('[1,2]') // => [ 1, 2 ]
 * tryJson([ 1, 2 ]) // => [ 1, 2 ]
 */
const tryJson = (o) => {
    const m = o;
    try {
        return JSON.parse(m);
    }
    catch {
        return o;
    }
};
exports.tryJson = tryJson;
