"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_test_1 = require("node:test");
const assert = __importStar(require("node:assert"));
const type_of_1 = require("./type-of");
void (0, node_test_1.test)('typeOf', () => {
    assert.equal((0, type_of_1.typeOf)('a'), 'string', 'string');
    assert.equal((0, type_of_1.typeOf)(2), 'number', 'number');
    assert.equal((0, type_of_1.typeOf)([]), 'array', 'array');
    assert.equal((0, type_of_1.typeOf)({}), 'object', 'object');
    assert.equal((0, type_of_1.typeOf)(new Date()), 'date', 'date');
    assert.equal((0, type_of_1.typeOf)(/foo/ig), 'regexp', 'regexp');
    assert.equal((0, type_of_1.typeOf)(null), 'null', 'null');
    assert.equal((0, type_of_1.typeOf)(new Map()), 'map', 'map');
    assert.equal((0, type_of_1.typeOf)(new Set()), 'set', 'set');
});
