import { type AnyMap } from './types';
/**
 * Unique an array by a string key of objects in array
 * Returns only the values of the passed key
 * @example
 * const a = [ { foo: 'foo' }, { foo: 'bar' }, { foo: 'foo' } ]
 * uniqBy('foo', a) // => [ { foo: 'foo' }, { foo: 'bar' } ]
 */
export declare const uniqBy: (el: string, xs: AnyMap[]) => AnyMap[];
