"use strict";
/**
 * Until p f yields result of applying f until p holds
 * @example
 * until(equals5, increment)(2) // => 5
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.until = void 0;
const until = (p, f) => (...args) => {
    const r = f(...args);
    return p(r) ? r : (0, exports.until)(p, f)(r);
};
exports.until = until;
